<?php
/**
*
* @package sitemap_fx
* @version $Id: sitemap.php 9048 2009-01-11 02:35:34Z FladeX $
* @copyright (c) 2005 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);

header("Content-Type: text/xml");
print "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n";
print "<urlset xmlns=\"http://www.google.com/schemas/sitemap/0.84\">\n";

$sql = 'SELECT forum_id
		FROM ' . FORUMS_TABLE . '';
$result = $db->sql_query($sql);

while ($row = $db->sql_fetchrow($result))
{
	if ($auth->acl_get('f_list', $row['forum_id']))
	{
		$sql2 = 'SELECT topic_id, forum_id, topic_title, topic_last_post_time
				FROM ' . TOPICS_TABLE . '
				WHERE forum_id = ' . $row['forum_id'] . '';
		$result2 = $db->sql_query($sql2);

		while ($row = $db->sql_fetchrow($result2))
		{
			$last_mod = date('Y-m-d\TH:i:s+00:00',$row['topic_last_post_time']);
			print "<url>\n";
			print "<loc>" . $config['server_protocol'] . $config['server_name'] . $config['script_path'] . "/topic" . $row['topic_id'] . ".html</loc>\n";
			print "<lastmod>" . $last_mod . "</lastmod>\n";
			print "<changefreq>never</changefreq>\n";
			print "<priority>0.5</priority>\n";
			print "</url>\n";
		}
		$db->sql_freeresult($result2);
	}
}
$db->sql_freeresult($result);

print "</urlset>\n";
?>